Get Keys

Get Keys
Defines the public keys used to verify the authenticity of the JWT token.

Use this API instead:

  • /oidc/oauth2/jwks

Defines the public keys used to verify the authenticity of the JWT token.

Access Policy

Role Access
Anonymous ✔️
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/auth/keys
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PublicKeyResponse of type(s) */*
{
    "alg": "string",
    "value": "string",
    "issuer": "string",
    "keys": [
        {}
    ]
}

400

Unsupported Public Key format.

Returns PublicKeyResponse of type(s) */*
{
    "alg": "string",
    "value": "string",
    "issuer": "string",
    "keys": [
        {}
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/auth/keys